package com.javacodegeeks.enterprise.servlet;

import java.io.IOException;

import javax.naming.InitialContext;
import javax.naming.NamingException;
import javax.servlet.ServletException;
import javax.servlet.annotation.WebServlet;
import javax.servlet.http.HttpServlet;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

import com.javacodegeeks.enterprise.ejb.SimpleEJB;

@WebServlet("/TestSerlvet")
public class TestSerlvet extends HttpServlet {
	private static final long serialVersionUID = 1L;

	public TestSerlvet() {
		super();

	}

	protected void doGet(HttpServletRequest request,
			HttpServletResponse response) throws ServletException, IOException {
		System.out.println("Hello from Servlet");

		InitialContext ic;
		SimpleEJB bean;

		String message = request.getParameter("printMessage");

		if (message != null) {

			try {

				ic = new InitialContext();
				bean = (SimpleEJB) ic
						.lookup("java:global/EJBInterceptorEAR/InterceptorTesting/SimpleEJB!"
								+ "com.javacodegeeks.enterprise.ejb.SimpleEJB");

				bean.printMessage(message);
				
				bean.printSomething("Hello from print something");

			} catch (NamingException e) {
				
				e.printStackTrace();
			}
		}

	}

}
