package com.javacodegeeks.enterprise.ejb.interceptor;

import javax.interceptor.AroundInvoke;
import javax.interceptor.InvocationContext;

public class SecondInterceptor {
	
	@AroundInvoke
	public Object intercept(InvocationContext context) throws Exception {
		
		System.out.println("SecondInterceptor - Logging BEFORE calling method :"+context.getMethod().getName() );

		Object result = context.proceed();
		
		System.out.println("SecondInterceptor  -Logging AFTER calling method :"+context.getMethod().getName() );

		return result;
	}

}
